Anonymous Login
2017-10-18 12:59 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000654OpenClonkObjectspublic2017-08-05 16:05
ReporterMimmoO 
Assigned ToRandrian 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version8.0Fixed in Version8.0 
Summary0000654: Can't climb while the holding the Flag
DescriptionWhen you have the flag in a CTF-game, you can climb, but not pull up over edges.
Additional InformationTested in FrozenFortress and Hideout
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001862

Ringwaul (developer)

I can confirm that. The clonk just stops at the top of a wall, with his hands touching the corner.

~0001869

Newton (administrator)

Last edited: 2011-09-19 01:42

View 3 revisions

Just when the "ScaleTop" animation is played, a clonk with less than 100% scaling speed does not move at all. The clonk's scaling speed is changed by the function

PushActionSpeed("Scale",speed)

which modifies the "Speed" entry in the ActMap. For higher values of speed, for example 1000, the animation and movement is done correctly. That is why I suspect that through rounding at some point at playing the ScaleTop animation, too small values of Scale.Speed end up in the Clonk not being able to scale at all.

However the clonk rotation code is not very well understandable to me and otherwise I was not able to find the cause for this bug. But what I am pretty sure of is that this bug came from the implementation of the additional scaling animations.

~0001906

Newton (administrator)

there exists a (hopefully) temporary workaround, so its not release blocking anymore

~0005707

Maikel (developer)

This seems to be solved for now and since the bug is very old I will close it.
+Notes

-Issue History
Date Modified Username Field Change
2011-09-15 17:09 MimmoO New Issue
2011-09-15 17:10 MimmoO Relationship added child of 0000266
2011-09-15 17:11 MimmoO Summary Can't climb the holding the Flag => Can't climb while the holding the Flag
2011-09-15 19:33 Newton Note Added: 0001860
2011-09-15 19:33 Newton Relationship added has duplicate 0000638
2011-09-15 19:34 Newton Note Deleted: 0001860
2011-09-15 19:35 Newton Relationship deleted has duplicate 0000638
2011-09-15 23:36 Ringwaul Note Added: 0001862
2011-09-19 01:39 Newton Note Added: 0001869
2011-09-19 01:41 Newton Note Edited: 0001869 View Revisions
2011-09-19 01:42 Newton Note Edited: 0001869 View Revisions
2011-09-19 01:42 Newton Assigned To => Randrian
2011-09-19 01:42 Newton Status new => assigned
2011-09-27 23:10 Newton Note Added: 0001906
2011-09-27 23:10 Newton Relationship deleted child of 0000266
2017-08-05 15:58 Maikel Target Version => 8.0
2017-08-05 16:05 Maikel Status assigned => resolved
2017-08-05 16:05 Maikel Resolution open => fixed
2017-08-05 16:05 Maikel Fixed in Version => 8.0
2017-08-05 16:05 Maikel Note Added: 0005707
+Issue History